std::source_location Struct Reference

`#include <source_location>`

## Public Member Functions

constexpr uint_least32_t | column () const noexcept
constexpr const char * | file_name () const noexcept
constexpr const char * | function_name () const noexcept
constexpr uint_least32_t | line () const noexcept

## Static Public Member Functions

static consteval source_location | current (__builtin_ret_type __p=__builtin_source_location()) noexcept

## Detailed Description

A class that describes a location in source code.

Definition at line 42 of file source_location.

## Constructor & Destructor Documentation

## source_location()

constexpr std::source_location::source_location | ( |  | ) |

inline constexpr noexcept

Definition at line 66 of file source_location.

## Member Function Documentation

## column()

constexpr uint_least32_t std::source_location::column | ( |  | ) | const

inline constexpr noexcept

Definition at line 74 of file source_location.

## current()

static consteval source_location std::source_location::current | ( | __builtin_ret_type | __p = `__builtin_source_location()` | ) |

inline static noexcept

Definition at line 59 of file source_location.

## file_name()

constexpr const char * std::source_location::file_name | ( |  | ) | const

inline constexpr noexcept

Definition at line 78 of file source_location.

## function_name()

constexpr const char * std::source_location::function_name | ( |  | ) | const

inline constexpr noexcept

Definition at line 82 of file source_location.

## line()

constexpr uint_least32_t std::source_location::line | ( |  | ) | const

inline constexpr noexcept

Definition at line 70 of file source_location.

The documentation for this struct was generated from the following file:

- source_location